com.intellectualcrafters.plot.listeners

## Class EntityListener

- java.lang.Object
- - com.intellectualcrafters.plot.listeners.EntityListener

- All Implemented Interfaces:
    org.bukkit.event.Listener

      public class EntityListener
      extends java.lang.Object
      implements org.bukkit.event.Listener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.HashMap<java.lang.String,java.util.HashMap<Plot,java.util.HashSet<java.lang.Integer>>>` | `entityMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addEntity(org.bukkit.entity.Entity entity, Plot plot)`
    `static void` | `onChunkDespawn(org.bukkit.event.world.ChunkUnloadEvent e)`
    `static void` | `onChunkLoad(org.bukkit.event.world.ChunkLoadEvent e)`
    `static void` | `onCreatureSpawn(org.bukkit.event.entity.CreatureSpawnEvent e)`
    `static void` | `onEntityDeath(org.bukkit.event.entity.EntityDeathEvent e)`
    `static void` | `onPlayerInteract(org.bukkit.event.player.PlayerInteractEvent e)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### entityMap

          public static java.util.HashMap<java.lang.String,java.util.HashMap<Plot,java.util.HashSet<java.lang.Integer>>> entityMap

  - ### Constructor Detail

    - #### EntityListener

          public EntityListener()

  - ### Method Detail

    - #### onPlayerInteract

          public static void onPlayerInteract(org.bukkit.event.player.PlayerInteractEvent e)

    - #### onCreatureSpawn

          public static void onCreatureSpawn(org.bukkit.event.entity.CreatureSpawnEvent e)

    - #### onChunkLoad

          public static void onChunkLoad(org.bukkit.event.world.ChunkLoadEvent e)

    - #### addEntity

          public static void addEntity(org.bukkit.entity.Entity entity,
                       Plot plot)

    - #### onEntityDeath

          public static void onEntityDeath(org.bukkit.event.entity.EntityDeathEvent e)

    - #### onChunkDespawn

          public static void onChunkDespawn(org.bukkit.event.world.ChunkUnloadEvent e)